const defaultConfiguration = '[{"ID":1,"LevelID":1,"EntityID":0,"DashboardSettingSerialized":"{\"GridstackConfigurations\":[{\"Nodes\":[{\"X\":0,\"Y\":0,\"Width\":2,\"Height\":1,\"MinWidth\":null,\"MinHeigth\":null,\"MaxWidth\":null,\"MaxHeigth\":null,\"Locked\":null,\"AutoPosition\":null,\"NoMove\":null,\"NoResize\":null,\"ID\":23},{\"X\":2,\"Y\":0,\"Width\":1,\"Height\":2,\"MinWidth\":null,\"MinHeigth\":null,\"MaxWidth\":null,\"MaxHeigth\":null,\"Locked\":null,\"AutoPosition\":null,\"NoMove\":null,\"NoResize\":null,\"ID\":19},{\"X\":3,\"Y\":0,\"Width\":1,\"Height\":2,\"MinWidth\":null,\"MinHeigth\":null,\"MaxWidth\":null,\"MaxHeigth\":null,\"Locked\":null,\"AutoPosition\":null,\"NoMove\":null,\"NoResize\":null,\"ID\":21},{\"X\":0,\"Y\":1,\"Width\":2,\"Height\":2,\"MinWidth\":null,\"MinHeigth\":null,\"MaxWidth\":null,\"MaxHeigth\":null,\"Locked\":null,\"AutoPosition\":null,\"NoMove\":null,\"NoResize\":null,\"ID\":22},{\"X\":0,\"Y\":3,\"Width\":1,\"Height\":2,\"MinWidth\":null,\"MinHeigth\":null,\"MaxWidth\":null,\"MaxHeigth\":null,\"Locked\":null,\"AutoPosition\":null,\"NoMove\":null,\"NoResize\":null,\"ID\":18},{\"X\":1,\"Y\":3,\"Width\":1,\"Height\":2,\"MinWidth\":null,\"MinHeigth\":null,\"MaxWidth\":null,\"MaxHeigth\":null,\"Locked\":null,\"AutoPosition\":null,\"NoMove\":null,\"NoResize\":null,\"ID\":20},{\"X\":2,\"Y\":4,\"Width\":1,\"Height\":1,\"MinWidth\":null,\"MinHeigth\":null,\"MaxWidth\":null,\"MaxHeigth\":null,\"Locked\":null,\"AutoPosition\":null,\"NoMove\":null,\"NoResize\":null,\"ID\":16},{\"X\":2,\"Y\":2,\"Width\":2,\"Height\":2,\"MinWidth\":null,\"MinHeigth\":null,\"MaxWidth\":null,\"MaxHeigth\":null,\"Locked\":null,\"AutoPosition\":null,\"NoMove\":null,\"NoResize\":null,\"ID\":3},{\"X\":0,\"Y\":5,\"Width\":3,\"Height\":2,\"MinWidth\":null,\"MinHeigth\":null,\"MaxWidth\":null,\"MaxHeigth\":null,\"Locked\":null,\"AutoPosition\":null,\"NoMove\":null,\"NoResize\":null,\"ID\":4},{\"X\":3,\"Y\":4,\"Width\":1,\"Height\":2,\"MinWidth\":null,\"MinHeigth\":null,\"MaxWidth\":null,\"MaxHeigth\":null,\"Locked\":null,\"AutoPosition\":null,\"NoMove\":null,\"NoResize\":null,\"ID\":17},{\"X\":0,\"Y\":7,\"Width\":4,\"Height\":2,\"MinWidth\":null,\"MinHeigth\":null,\"MaxWidth\":null,\"MaxHeigth\":null,\"Locked\":null,\"AutoPosition\":null,\"NoMove\":null,\"NoResize\":null,\"ID\":7}],\"ConfigurationName\":\"Default\"}]}"}]';

module.exports.defaultConfigurationQuery = "--INSERT DEFAULT CONFIGURAION" + String.fromCharCode(13) +
    "DECLARE @serializedDefaultConfiguration NVARCHAR(MAX) = '" + defaultConfiguration + "';" + String.fromCharCode(13) +
    "INSERT INTO [dbo].[DashboardConfigRelEntities]" + String.fromCharCode(13) +
    "VALUES(1, 1, 0, @serializedDefaultConfiguration);" + String.fromCharCode(13) + String.fromCharCode(13) + String.fromCharCode(13) +
    "--UPDATE DEFAULT CONFIGURAION" + String.fromCharCode(13) +
    "DECLARE @serializedDefaultConfiguration NVARCHAR(MAX) = '" + defaultConfiguration + "';" + String.fromCharCode(13) +
    "UPDATE [dbo].[DashboardConfigRelEntities] SET" + String.fromCharCode(13) +
    "[ID] = 1," + String.fromCharCode(13) +
    "[LevelID] = 1," + String.fromCharCode(13) +
    "[EntityID] = 0," + String.fromCharCode(13) +
    "[DashboardSettingSerialized] = @serializedDefaultConfiguration;";